import { StyleSheet, Text, View } from 'react-native'
import React from 'react'
import MaterialIcon from 'react-native-vector-icons/MaterialIcons'
import colors from '../../../theme/colors'
import ButtonWrapper from '../../atoms/ButtonWrapper'

const CloseButton = (props) => {

    const {
        onPress,
        buttonStyle,
        iconColor,
        iconSize
    } = props
    
    let finalIconColor;
    switch (iconColor) {
        case "primary":
            finalIconColor = colors.primaryColor
            break;
        case "secondary":
            finalIconColor = colors.secondaryColor
            break
        default:
            finalIconColor = colors.black
            break;
    }

  return (
    <ButtonWrapper onPress={onPress} buttonStyle={buttonStyle}>
      <MaterialIcon name='close' color={finalIconColor} size={iconSize ? iconSize : styles.icon.fontSize} />
    </ButtonWrapper>
  )
}

export default CloseButton

const styles = StyleSheet.create({
    icon:{
        fontSize: 20,
        color: colors.primaryColor
    }
})